% specify a maxdepth and we tell how many nodes will be in the constrained
% tree up to that depth, i.e. depth-nsim relation
% clc;
S = 3 + 1;
M = 2;
maxdepth = 6;

C = zeros(1,S);
C(1) = M;
fprintf('\n');
oldsum = 9;
Csum = 1;

for d=1:maxdepth,
    %with formula
    otherSum = M;
    for s=1:S-1,
        specialProduct = 1.0;
        for k=1:s
            if k<=d,
                specialProduct = specialProduct * (d-k);
            end
            specialProduct = specialProduct / k;
        end
        otherSum = otherSum + M * (M-1)^s * specialProduct;
    end;
    fprintf('nodes on depth=%d : in OPD=M^d=%d, in OSP=%d\n', d, M^(d),otherSum);    
    
    %with recurrence
    newC = C;
    for k=1:S-1,
        if (C(k)>0),
            newC (k+1) = newC(k+1) + C(k) * (M-1);
        end
    end
    C = newC;
    Csum = Csum + otherSum;
%     M*C
%     fprintf('nodes: M^d=%d, sum(C)=%d\n', M^(d+1),sum(C));    
%     fprintf('total nodes up to d=%d, N= %d, [(M-1)(d-1)]^S=%d\n',d,Csum, ((M-1)*(d-1))^S);
% 
%     fprintf('ratio=%f\n',sum(C.*Ss)./oldsum);
%     oldsum = sum(C.*Ss);
    
end
fprintf('total nodes up to d=%d, N= %d, [(M-1)(d-1)]^S=%d\n',d,Csum, ((M-1)*(d-1))^S);