% run problem
datafile = 'test5';
cfg.run = 1;
cfg.datafile = datafile;
cfg.problem = 'sw_problem';
cfg.initstepdisp = 0.3333;
cfg.iterdisp = 1;
fuzzyqi(cfg);
return
% fuzzyqi(['resume datafile=' datafile ' problem=sw_problem iterdisp=1 maxiter=1000 eps=0.01']);

% sw_plot(['policy axes=[NaN,NaN,0,0] centers datafile=' datafile]);
% sw_plot(['policy axes=[NaN,0,NaN,0] centers datafile=' datafile]);
% sw_plot(['policy axes=[0.1534,NaN,-0.1561,NaN] centers datafile=' datafile]);
% return


x0 = [0.1534 2*0.1534 -0.1561 0];   % autonomous walking state
% -.05 -- +0, -.5 -- +.4, -.05 -- 0, -1 -- .6
x0 = x0 + [-.05 -.5 -.05 -1];       % perturbed autonomous walking state
% x0 = x0 + [0 .4 0 .3];       % perturbed autonomous walking state
% all to lower bound works; all to upper bound doesn't
% x0 = 0 * x0;                      % zero state

% how to add random displacements
% pert = 0.01*rand(1, 4) -.01;
% pert(2:4) = 0;

clear cfg
cfg.x0 = x0;
cfg.replay = 1;
cfg.tend = 50;
cfg.datafile = datafile;
cfg.problem = 'sw_problem';
cfg.verb = 0;
[hist, figh] = fuzzyqi(cfg);
pause; close(figh);