mode = 'sol';

% main cfg
ccfg = struct;
ccfg.(mode) = 1;
ccfg.problem = 'ipsetup_problem';
ccfg.gamma = .98;
ccfg.maxiter  = 100;
ccfg.datadir = pwd;
ccfg.approx = 'enhanced type=rbfdisc N=11 M=3';
ccfg.samples = 'method=randdisc N=10000';
ccfg.verb = 5;

cfg = ccfg;
cfg.loadsamples = 'testsamplesNs10000';
cfg.datafile = 'lspis_rbfdisc_nonoptimized';
cfg.indexoptimized = 0;     % disable for testing purposes
lspi_v2(cfg);               % using non-optimized version of lspi

cfg = ccfg;
cfg.datafile = 'lspis_rbfdisc_A0bpreinit';
cfg.loadsamples = 'testsamplesNs10000';
cfg.indexoptimized = 0;     % disable for testing purposes
lspi(cfg);

cfg = ccfg;
cfg.datafile = 'lspis_rbfdisc_indopt';
cfg.loadsamples = 'testsamplesNs10000';
cfg.indexoptimized =1;     % disable for testing purposes
lspi(cfg);
