%% stochastic invpend setup experiment
cfg = struct;

cfg.problem = 'ipsetup_problem';
cfg.model_params = {'nlqr', 'type=ip maxu=3 stoch_prob=[.6,.4] stoch_gain=[1,.7]', 'Ts=0.05'};
cfg.gamma = 0.95;
cfg.planalg = 'opss';
cfg.planparams.n = 5000;
cfg.planparams.L = 2;
cfg.planparams.criterion = 'contrib';
cfg.planparams.actsel = 'util';
cfg.planparams.U = [-3 -1 0 1 3];
cfg.planparams.verb = 1;
cfg.trials = 1;
cfg.maxsteps = 50;
cfg.reset = [-pi, 0]';
%
cfg.saveplandata = 0;
cfg.verb = 3;
cfg.visualize = 0;
cfg.datadir = pwd;
cfg.datafile = 'try_opss_ip_M5_n5000';
cfg.run = 1;
genmpc(cfg);


%% stochastic invpend setup experiment
cfg = struct;

cfg.problem = 'ipsetup_problem';
cfg.model_params = {'nlqr', 'type=ip maxu=3 stoch_prob=[.6,.4] stoch_gain=[1,.7]', 'Ts=0.05'};
cfg.gamma = 0.95;
cfg.planalg = 'opss';
cfg.planparams.n = 1000;
cfg.planparams.L = 2;
cfg.planparams.criterion = 'contrib';
cfg.planparams.actsel = 'util';
cfg.planparams.U = [-3 -1 0 1 3];
cfg.planparams.verb = 1;
cfg.planparams.usemem = 1;
cfg.planparams.lipschitz = 0.5;  
cfg.planparams.mem_maxsize = 0.5;
cfg.trials = 1;
cfg.maxsteps = 50;
cfg.reset = [-pi, 0]';
%
cfg.saveplandata = 0;
cfg.verb = 3;
cfg.visualize = 0;
cfg.datadir = pwd;
cfg.datafile = 'try_opss_ip_M5_n1000_mem';
cfg.run = 1;
genmpc(cfg);