% Tries to construct a plot function name for the given model if none is specified in the model
% structure
function pf = model2plotfun(m)

if isfield(m, 'plotfun'),
    pf = m.plotfun;
else 
    if ischar(m.fun)
        funname = m.fun;
    else
        funname = func2str(m.fun);
    end;
    pf = [funname(1 : (strfind(funname, 'mdp') - 1)) 'plot'];
end;
