
clear all;

% main config
cfg.N = 3:2:51;
cfg.M = 3:2:21;
cfg.problem = 'dc_problem';
cfg.X0 = 'coarse';

% ------------------
% LQR reward experiments

lqrcfg = cfg;
lqrcfg.model_params = 'lqr';
lqrcfg.datafile = 'fzdc_lqr_score';

% % run
% rcfg = lqrcfg; rcfg.run = 1;
% qiresstudy(rcfg);

% plot perf
scfg = lqrcfg; scfg.perf = 1;
qiresstudy(scfg);

% ------------------
% box reward experiments
boxcfg = cfg;
boxcfg.model_params = 'box';
boxcfg.datafile = 'fzdc_box_score_lqr';

% % run
% rcfg = boxcfg; rcfg.run = 1; rcfg.perf = 0;
% qiresstudy(rcfg);

% plot perf
scfg = boxcfg; scfg.perf = 1; scfg.userew = 'lqr';
qiresstudy(scfg);
