%% ccfg
clc; close all;  clear all;
cfg = common_config_quadmulti();

%% run online OPD
problem = 'quadmulti';
cfg.maxsteps = 400;
% cfg.planalg = 'osp';            
cfg.planalg = 'opd';            
cfg.planparams.n = 1000;         % budget of expansions at each step

cfg.planparams.reusetree = 1;
cfg.planparams.reusetree_maxsize = 0;

% cfg.planparams.usemem = 1;
% cfg.planparams.lipschitz = 0.1;
% cfg.planparams.mem_maxsize = 1;

%cfg.planparams.S = 1;
cfg.datafile = [problem '_' cfg.planalg '_n=' num2str(cfg.planparams.n) ];
cfg.visualize = 4;
% cfg.saveplandata = 1;

% run the algorithm
cfg.run = 1;
genmpc(cfg);          

genmpc(['ploth datafile=' cfg.datafile]);

%figure; 
hist=genmpc(['plottrial datafile=' cfg.datafile]);
fprintf('total return=%.5f\n\n',hist.R(1));

