clear all;
clc;
df_algo = 'osp_oc';

if 1==1,
    df_problem = 'hivonl';
    Ns = 12;
    Ss = [4 6 8 10];
    nsims = [100 300 500 800 1000 2000:500:3000];
%     Ss = 6; nsims=100;
else
    df_problem = 'iponl_U2';
    Ss = 3;
    Ns = [12 20 24];
    nsims = [600:900:4200 6000 7500 9000:3000:24000];
end;


for S=Ss,
    for N=Ns
        for nsim=nsims,
                df = [df_problem '_' df_algo '_nsim=' num2str(nsim) '_S=' num2str(S) '_N=' num2str(N)];
%                 df = 'hivonl_osp_oc3_nsim=100_S=6_N=12'
                u = load(df, 'U');
                u = u.U;

                for i=N:160,
                    SinN=0;
                    for j=i-N+1:i,
                        if j>1 && ~isequal(u(:,j),u(:,j-1)),
                            SinN = SinN + 1;
                        end;
                    end;
%                     fprintf('%d, ',SinN);
                    if SinN>S,
                        fprintf('iter=%d,\t%s\n',i,df);
                        break;
                    end;
                end;
            end;
            close all;
    end;
end;