%% stochastic invpend setup experiment
cfg = struct;

cfg.problem = 'ipsetup_problem';
cfg.model_params = {'rewtype=nlqr Qrew=[1,0;0,0] Rrew=0.3', 'type=ip maxu=3 noise=gauss gausssigma=0.015*eye(2)', 'Ts=0.05'};
cfg.planproblem = 'ipsetup_problem';
cfg.planmodel_params = {'nlqr', 'type=ip maxu=3', 'Ts=0.05'};
cfg.gamma = 0.95;
cfg.planalg = 'opd';
cfg.planparams.n = 500;
% cfg.planparams.L = 2;
cfg.planparams.criterion = 'optim';
cfg.planparams.actsel = 'util';
cfg.planparams.U = [-3 0 3];
cfg.planparams.verb = 1;
cfg.trials = 1;
cfg.maxsteps = 50;
cfg.reset = [-pi, 0]';
%
cfg.saveplandata = 0;
cfg.verb = 3;
cfg.visualize = 0;
cfg.datadir = pwd;
cfg.datafile = 'test_diffmodelplanning';
cfg.run = 1;
genmpc(cfg);
